The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Alert Exception

Prev Next

This URL gets all the alert exception details available in the Manager.

Resource URL

GET /alertexception/list

Request Parameters

None

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

alertExceptionDescriptorList

List of alert exception in the Manager

Array

Details of alertExceptionDescriptorList:

Field Name

Description

Data Type

alertId

Unique alert id

Number

attackId

Unique hexadecimal attack id

String

sourceIp

IPv4/IPv6 address/"ANY"

String

destinationIp

IPv4/IPv6 address/"ANY"

String

expiration

Expiration of the exception

String

lastModified

Last modified time of the alert exception

String

Example

Request

GET https://<NSM_IP>/sdkapi/alerexception/list

Response

{
	"alertExceptionDescriptor" : [{
			"alertId" : 102,
			"attackId" : "0x42c01800",
			"sourceIp" : "116.232.112.112",
			"destinationIp" : "95.124.86.145",
			"expiration" : "2013-02-27 13:51:49.0",
			"lastModified" : "2013-02-26 13:51:49.0"
		}, {
			"alertId" : 103,
			"attackId" : "0x42c03a00",
			"sourceIp" : "4.41.149.92",
			"destinationIp" : "1.134.102.228",
			"expiration" : "2013-02-27 14:06:18.0",
			"lastModified" : "2013-02-26 14:43:08.0"
		}, {
			"alertId" : 104,
			"attackId" : "0x42c03a00",
			"sourceIp" : "4.41.149.92",
			"destinationIp" : "1.134.102.228",
			"expiration" : "2013-02-27 14:51:56.0",
			"lastModified" : "2013-02-26 20:43:06.0"
		}, {
			"alertId" : 105,
			"attackId" : "0x40300200",
			"sourceIp" : "121.251.148.6",
			"destinationIp" : "64.54.175.34",
			"expiration" : "2013-02-27 20:47:52.0",
			"lastModified" : "2013-02-27 14:16:49.0"
		}, {
			"alertId" : 106,
			"attackId" : "0x40500100",
			"sourceIp" : "192.168.215.57",
			"destinationIp" : "172.16.233.11",
			"expiration" : "2013-03-06 14:03:44.0",
			"lastModified" : "2013-03-05 14:03:44.0"
		}
		
	]
}

Error Information

N/A